Subject: Re: Subtract Command with wildcard Termiantion Name

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 24 Jan 2000 10:05:37 -0500

Your question has a couple of wider implications.  My first reaction was to
say this was an error, because in principle the MGC can always know which
context a termination is in, through audits if necessary.  Then I checked
out our audit response syntax and realized that the MGC cannot determine the
current context of a termination if it doesn't know it already.

I think the answer has to be that we change the production auditOther to
include the context ID.

e.g. auditOther = EQUAL TerminationID LBRKT  CtxToken EQUAL ContextID
terminationAudit RBRKT

Then the answer to your original question is that it is an error.

> -----Original Message-----
> From: Sachin Mittal [SMTP:[email-masked]]
> Sent: Sunday, January 23, 2000 11:56 PM
> To:   [email-masked]
> Subject:      Subtract Command with wildcard Termiantion Name
>
> Hi!
>      Here is a small query regarding the case where ContextID is "*" and
> Termination Name is fully-specified. Does this implies that MGC intends to
> Subtract the specific termination from
> "whichever" context it appears in ? Or it is an error because a
> termination can
> exist only in one context and
> ContextID = "*" for a specific termination is an error ?
>
> Regards
> MadhuBabu

---

From: Chuong Nguyen <[email-masked]>
Date: Mon, 24 Jan 2000 09:44:43 -0600

Tom

In response to the Subtract query.
I think that it is NOT an error since a termination can only be in one
context at a time.  Therefore,
the MG finds out which context the termination is in and subtracts that
termination.

            Context = * {Subtract = T123}        // request
            Context = 100 {Subtract = T123}    // reply.  T123 found in
Context 100 and was subtracted

Otherwise, if it is an error, is it a syntax error or exceution of the
Subtract command error?

If it is a syntax error, the ABNF has to be changed somehow to reflect
that for Subtract
contextID has to be fully specified if the terminationID is fully
specified.  All these could get
very complicated for the ABNF parser.
Does this mean that Context = * {Subtract =*} is invalid now?

If it is a command execution error, then it is an implementation issue.
I don't see why an MG
can't find the conext that contains the terminationId to subtract from.

Chuong

Tom-PT Taylor wrote:

>
>
> Your question has a couple of wider implications.  My first reaction
> was to say this was an error, because in principle the MGC can always
> know which context a termination is in, through audits if necessary.
> Then I checked out our audit response syntax and realized that the MGC
> cannot determine the current context of a termination if it doesn't
> know it already.
>
> I think the answer has to be that we change the production auditOther
> to include the context ID.
>
> e.g.auditOther = EQUAL TerminationID LBRKT  CtxToken EQUAL ContextID
> terminationAudit RBRKT
>
--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****